All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
QoreBoolTrueNode Class Reference

Qore's boolean "true" node, unique, not dynamically-allocated, not reference-counted. More...

`#include <QoreBoolNode.h>`

Inheritance diagram for QoreBoolTrueNode:
[legend]
Collaboration diagram for QoreBoolTrueNode:
[legend]

## Additional Inherited Members

Public Member Functions inherited from QoreBoolNode
virtual DLLEXPORT QoreString * | getStringRepresentation (bool &del) const
| returns the value of the type converted to a string, default implementation: returns the empty string
virtual DLLEXPORT void | getStringRepresentation (QoreString &str) const
| concatentates the value of the type to an existing QoreString reference, default implementation does nothing
virtual DLLEXPORT DateTime * | getDateTimeRepresentation (bool &del) const
| returns the DateTime representation of this type (default implementation: returns ZeroDate, del = false)
virtual DLLEXPORT void | getDateTimeRepresentation (DateTime &dt) const
| assigns the date representation of a value to the DateTime reference passed, default implementation does nothing
virtual DLLEXPORT int | getAsString (QoreString &str, int foff, class ExceptionSink *xsink) const
| concatenate the verbose string representation of the value (including all contained values for container types) to an existing QoreString
virtual DLLEXPORT QoreString * | getAsString (bool &del, int foff, class ExceptionSink *xsink) const
| returns a QoreString giving the verbose string representation of the value (including all contained values for container types)
virtual DLLEXPORT bool | is_equal_soft (const AbstractQoreNode *v, ExceptionSink *xsink) const
| tests for equality ("deep compare" including all contained values for container types) with possible type conversion (soft compare)
virtual DLLEXPORT bool | is_equal_hard (const AbstractQoreNode *v, ExceptionSink *xsink) const
| tests for equality ("deep compare" including all contained values for container types) without type conversions (hard compare)
virtual DLLEXPORT const char * | getTypeName () const
| returns the type name as a c string
virtual DLLLOCAL AbstractQoreNode * | parseInit (LocalVar *oflag, int pflag, int &lvids, const QoreTypeInfo *&typeInfo)
| returns the type information
DLLLOCAL bool | getValue () const
| returns the boolean value of the object
Static Public Member Functions inherited from QoreBoolNode
static DLLLOCAL const char * | getStaticTypeName ()
| returns the type name (useful in templates)
static DLLLOCAL qore_type_t | getStaticTypeCode ()
| returns the type code (useful in templates)
static DLLLOCAL bool | getValue (QoreBoolNode *v)
| returns the value of the argument (useful in templates)
Protected Member Functions inherited from QoreBoolNode
DLLLOCAL | QoreBoolNode (bool n_b)
| the constructor can only be called by a subclass
Protected Attributes inherited from QoreBoolNode
bool | b
| boolean value for the object

## Detailed Description

Qore's boolean "true" node, unique, not dynamically-allocated, not reference-counted.

Note
  This class cannot be instantiated (there can only be one of these objects in the entire Qore library). Use get_bool_node() or simply &True to acquire a pointer to this object

The documentation for this class was generated from the following file:

- include/qore/QoreBoolNode.h (5431)